"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./constants");
const helpers_1 = require("./helpers");
class AccountUtils {
    constructor($nsCloudConfigManager, $injector) {
        this.$nsCloudConfigManager = $nsCloudConfigManager;
        this.$injector = $injector;
    }
    get $nsCloudKinveyService() {
        return this.$injector.resolve("nsCloudKinveyService");
    }
    isKinveyUser() {
        const serverConfig = this.$nsCloudConfigManager.getCurrentConfigData();
        const namespace = serverConfig[constants_1.NAMESPACE_LOWER_CASE];
        return helpers_1.isKinveyNamespace(namespace);
    }
    getKinveyAccountsMap() {
        return __awaiter(this, void 0, void 0, function* () {
            return (yield this.$nsCloudKinveyService.getApps()).map(a => ({ id: a.id, name: a.name, type: a.plan && a.plan.level }));
        });
    }
}
exports.AccountUtils = AccountUtils;
$injector.register("nsAccountUtils", AccountUtils);
