"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CloudAndroidBundleValidatorHelper {
    constructor($nsCloudPolyfillService) {
        this.$nsCloudPolyfillService = $nsCloudPolyfillService;
    }
    get $bundleValidatorHelper() {
        return this.$nsCloudPolyfillService.getPolyfillObject("androidBundleValidatorHelper", {
            validateNoAab: () => { },
            validateRuntimeVersion: () => { },
            validateDeviceApiLevel: () => { }
        });
    }
    validateNoAab() {
        return this.$bundleValidatorHelper.validateNoAab();
    }
    validateRuntimeVersion(projectData) {
        return this.$bundleValidatorHelper.validateRuntimeVersion(projectData);
    }
    validateDeviceApiLevel(device, buildData) {
        throw new Error("validateDeviceApiLevel method is not implemented.");
    }
}
exports.CloudAndroidBundleValidatorHelper = CloudAndroidBundleValidatorHelper;
$injector.register("nsCloudAndroidBundleValidatorHelper", CloudAndroidBundleValidatorHelper);
