"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CloudOperationFactory {
    constructor($injector, $logger) {
        this.$injector = $injector;
        this.$logger = $logger;
    }
    create(cloudOperationVersion, cloudOperationId, serverResponse) {
        const constructorArgs = { id: cloudOperationId, serverResponse: serverResponse };
        let cloudOperationConstructor;
        try {
            cloudOperationConstructor = require(`./cloud-operation-${cloudOperationVersion}`);
        }
        catch (err) {
            this.$logger.trace(err);
            throw new Error(`Invalid cloud operation version: ${cloudOperationVersion}`);
        }
        return this.$injector.resolve(cloudOperationConstructor, constructorArgs);
    }
}
exports.CloudOperationFactory = CloudOperationFactory;
$injector.register("nsCloudOperationFactory", CloudOperationFactory);
