"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("../../constants");
const websocket_channel_1 = require("./websocket-channel");
class CommunicationChannelFactory {
    constructor($injector) {
        this.$injector = $injector;
    }
    create(communicationChannelData, cloudOperationId) {
        if (communicationChannelData.type === constants_1.CloudCommunicationChannelTypes.WEBSOCKET) {
            return this.$injector.resolve(websocket_channel_1.WebSocketCommunicationChannel, { data: communicationChannelData, cloudOperationId });
        }
        throw new Error(`Unknown communication channel type: ${communicationChannelData.type}`);
    }
}
exports.CommunicationChannelFactory = CommunicationChannelFactory;
$injector.register("nsCloudCommunicationChannelFactory", CommunicationChannelFactory);
