"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./constants");
class CloudOptionsProvider {
    get dashedOptions() {
        return {
            accountId: { type: "string", hasSensitiveValue: true },
            apiVersion: { type: "string", hasSensitiveValue: false },
            local: { type: "boolean", hasSensitiveValue: false },
            serverProto: { type: "string", hasSensitiveValue: true },
            namespace: { type: "string", hasSensitiveValue: true },
            instanceId: { type: "string", hasSensitiveValue: false },
            sharedCloud: { type: "boolean", hasSensitiveValue: false },
            workflow: { type: "object", hasSensitiveValue: true },
            vmTemplateName: { type: "string", hasSensitiveValue: false },
            track: { type: "string", default: constants_1.DEFAULT_ANDROID_PUBLISH_TRACK, hasSensitiveValue: false },
            androidReleaseStatus: { type: "string", hasSensitiveValue: false },
            appleApplicationSpecificPassword: { type: "string", hasSensitiveValue: true },
            appleSessionBase64: { type: "string", hasSensitiveValue: true },
            otp: { type: "string", hasSensitiveValue: false },
            outputPath: { type: "string", hasSensitiveValue: false }
        };
    }
}
exports.CloudOptionsProvider = CloudOptionsProvider;
$injector.register("nsCloudOptionsProvider", CloudOptionsProvider);
