"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const os_1 = require("os");
class CloudOutputFilter {
    filter(logs) {
        let result = this.filterBpcMetadata(logs)
            .replace(new RegExp("(\\\\r\\\\n)|(\\\\n)", "gm"), os_1.EOL)
            .replace(/(\\\\t)/g, "\t")
            .replace(/((\n)|(\r\n)){1,}/gm, os_1.EOL)
            .replace(/\\u001b\[0G/g, "\u001b")
            .trim();
        if (result) {
            if (result.startsWith(`"`)) {
                result = result.substr(1);
            }
            if (result.endsWith(`"`)) {
                result = result.substr(0, result.length - 1);
            }
        }
        return result;
    }
    filterBpcMetadata(logs) {
        return logs.replace(/\[(([0-9]){2,2}:){2,2}[0-9].\.[0-9]*\]\W*?\[.*?\] {0,3}/g, "");
    }
}
exports.CloudOutputFilter = CloudOutputFilter;
$injector.register("nsCloudOutputFilter", CloudOutputFilter);
