"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const semver = require("semver");
class CloudPlatformsData {
    constructor($injector, $staticConfig) {
        this.$injector = $injector;
        this.$staticConfig = $staticConfig;
        const cliVersion = this.$staticConfig.version;
        this.shouldUseOldPlatformsData = semver.valid(cliVersion) && semver.lt(cliVersion, semver.prerelease(cliVersion) ? "5.4.0-2019-05-15-13277" : "6.0.0");
    }
    getPlatformData(platform, projectData) {
        if (this.shouldUseOldPlatformsData) {
            const $platformsData = this.$injector.resolve("platformsData");
            return $platformsData.getPlatformData(platform, projectData);
        }
        const $platformsDataService = this.$injector.resolve("platformsDataService");
        return $platformsDataService.getPlatformData(platform, projectData);
    }
}
exports.CloudPlatformsData = CloudPlatformsData;
$injector.register("nsCloudPlatformsData", CloudPlatformsData);
