"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class AcceptEulaCommand {
    constructor($nsCloudEulaCommandHelper, $nsCloudErrorsService) {
        this.$nsCloudEulaCommandHelper = $nsCloudEulaCommandHelper;
        this.$nsCloudErrorsService = $nsCloudErrorsService;
    }
    canExecute(args) {
        return __awaiter(this, void 0, void 0, function* () {
            if (args.length) {
                this.$nsCloudErrorsService.fail("This command does not accept arguments.");
            }
            return true;
        });
    }
    execute(args) {
        return this.$nsCloudEulaCommandHelper.acceptEula();
    }
}
exports.AcceptEulaCommand = AcceptEulaCommand;
$injector.registerCommand("accept|eula", AcceptEulaCommand);
