"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const account_command_base_1 = require("./account-command-base");
const helpers_1 = require("../../helpers");
class AccountListCommand extends account_command_base_1.AccountCommandBase {
    constructor($nsCloudErrorsService, $nsCloudUserService, $nsCloudEulaCommandHelper, $nsCloudAccountsService, $logger, $options) {
        super($nsCloudErrorsService, $nsCloudUserService);
        this.$nsCloudEulaCommandHelper = $nsCloudEulaCommandHelper;
        this.$nsCloudAccountsService = $nsCloudAccountsService;
        this.$logger = $logger;
        this.$options = $options;
        this.allowedParameters = [];
    }
    execute(args) {
        return __awaiter(this, void 0, void 0, function* () {
            global.showErrorForStoppedCloudBuilds();
            yield this.$nsCloudEulaCommandHelper.ensureEulaIsAccepted();
            const myAccounts = yield this.$nsCloudAccountsService.getMyAccounts();
            let output;
            if (this.$options.json) {
                output = helpers_1.stringifyWithIndentation(myAccounts);
            }
            else {
                const table = helpers_1.createTable(["#", "Id", "Account", "Type"], myAccounts.map((a, i) => {
                    const index = i + 1;
                    return [index.toString(), a.id, a.name, a.type];
                }));
                output = table.toString();
            }
            this.$logger.info(output);
        });
    }
}
exports.AccountListCommand = AccountListCommand;
$injector.registerCommand("account|*list", AccountListCommand);
