"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const account_command_base_1 = require("./account-command-base");
const helpers_1 = require("../../helpers");
class FeaturesCommand extends account_command_base_1.AccountCommandBase {
    constructor($nsCloudErrorsService, $nsCloudUserService, $nsCloudAccountsService, $nsCloudEulaCommandHelper, $nsCloudOptionsProvider, $options, $logger) {
        super($nsCloudErrorsService, $nsCloudUserService);
        this.$nsCloudAccountsService = $nsCloudAccountsService;
        this.$nsCloudEulaCommandHelper = $nsCloudEulaCommandHelper;
        this.$nsCloudOptionsProvider = $nsCloudOptionsProvider;
        this.$options = $options;
        this.$logger = $logger;
        this.allowedParameters = [];
    }
    get dashedOptions() {
        return this.$nsCloudOptionsProvider.dashedOptions;
    }
    execute(args) {
        return __awaiter(this, void 0, void 0, function* () {
            global.showErrorForStoppedCloudBuilds();
            yield this.$nsCloudEulaCommandHelper.ensureEulaIsAccepted();
            const features = yield this.$nsCloudAccountsService.getAccountFeatures(this.$options.accountId);
            let output;
            if (this.$options.json) {
                output = helpers_1.stringifyWithIndentation(features);
            }
            else {
                const table = helpers_1.createTable([`Feature`, `Enabled`], _.map(features, feature => {
                    return [feature.feature, feature.enabled.toString()];
                }));
                output = table.toString();
            }
            this.$logger.info(output);
        });
    }
}
exports.FeaturesCommand = FeaturesCommand;
$injector.registerCommand("account|features", FeaturesCommand);
