"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const interactive_cloud_command_1 = require("./interactive-cloud-command");
class CloudBuildCommand extends interactive_cloud_command_1.InteractiveCloudCommand {
    constructor($nsCloudProcessService, $nsCloudErrorsService, $logger, $prompter, $nsCloudEulaCommandHelper, $nsCloudBuildCommandHelper, $nsCloudBuildService, $nsCloudOptionsProvider, $options, $projectData) {
        super($nsCloudBuildService, $nsCloudProcessService, $nsCloudErrorsService, $logger, $prompter);
        this.$nsCloudErrorsService = $nsCloudErrorsService;
        this.$logger = $logger;
        this.$prompter = $prompter;
        this.$nsCloudEulaCommandHelper = $nsCloudEulaCommandHelper;
        this.$nsCloudBuildCommandHelper = $nsCloudBuildCommandHelper;
        this.$nsCloudBuildService = $nsCloudBuildService;
        this.$nsCloudOptionsProvider = $nsCloudOptionsProvider;
        this.$options = $options;
        this.$projectData = $projectData;
        this.$projectData.initializeProjectData();
    }
    get dashedOptions() {
        return this.$nsCloudOptionsProvider.dashedOptions;
    }
    canExecute(args) {
        return __awaiter(this, void 0, void 0, function* () {
            global.showErrorForStoppedCloudBuilds();
            yield this.$nsCloudEulaCommandHelper.ensureEulaIsAccepted();
            if (!args || !args.length) {
                this.$nsCloudErrorsService.failWithHelp("Provide platform.");
            }
            if (args.length > 1) {
                this.$nsCloudErrorsService.failWithHelp("Only a single platform is supported.");
            }
            return true;
        });
    }
    executeCore(args) {
        return __awaiter(this, void 0, void 0, function* () {
            const buildData = this.$nsCloudBuildCommandHelper.getCloudBuildData(args[0]);
            yield this.$nsCloudBuildService.build(buildData.projectSettings, buildData.platform, buildData.buildConfiguration, this.$options.accountId, buildData.androidBuildData, buildData.iOSBuildData, { shouldPrepare: true });
        });
    }
}
exports.CloudBuildCommand = CloudBuildCommand;
$injector.registerCommand(["build|cloud", "cloud|build"], CloudBuildCommand);
