"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class ConfigApplyCommand {
    constructor($nsCloudOptionsProvider, $nsCloudConfigManager, $options, $stringParameterBuilder) {
        this.$nsCloudOptionsProvider = $nsCloudOptionsProvider;
        this.$nsCloudConfigManager = $nsCloudConfigManager;
        this.$options = $options;
        this.$stringParameterBuilder = $stringParameterBuilder;
        this.allowedParameters = [this.$stringParameterBuilder.createMandatoryParameter("Configuration name cannot be empty.")];
    }
    get dashedOptions() {
        return this.$nsCloudOptionsProvider.dashedOptions;
    }
    execute(args) {
        return __awaiter(this, void 0, void 0, function* () {
            const configurationName = args[0];
            const globalServerConfig = { apiVersion: this.$options.apiVersion, serverProto: this.$options.serverProto, namespace: this.$options.namespace };
            this.$nsCloudConfigManager.applyConfig(configurationName, null, globalServerConfig);
            this.$nsCloudConfigManager.printConfigData();
        });
    }
}
exports.ConfigApplyCommand = ConfigApplyCommand;
$injector.registerCommand("config|apply", ConfigApplyCommand);
