"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class DevLoginCommand {
    constructor($nsCloudErrorsService, $logger, $options, $nsCloudOptionsProvider, $nsCloudAuthenticationService, $nsCloudServicesPolicyService, $stringParameterBuilder) {
        this.$nsCloudErrorsService = $nsCloudErrorsService;
        this.$logger = $logger;
        this.$options = $options;
        this.$nsCloudOptionsProvider = $nsCloudOptionsProvider;
        this.$nsCloudAuthenticationService = $nsCloudAuthenticationService;
        this.$nsCloudServicesPolicyService = $nsCloudServicesPolicyService;
        this.$stringParameterBuilder = $stringParameterBuilder;
        this.allowedParameters = [
            this.$stringParameterBuilder.createMandatoryParameter("Missing user name or password."),
            this.$stringParameterBuilder.createMandatoryParameter("Missing user name or password.")
        ];
    }
    get dashedOptions() {
        return this.$nsCloudOptionsProvider.dashedOptions;
    }
    execute(args) {
        return __awaiter(this, void 0, void 0, function* () {
            if (yield this.$nsCloudServicesPolicyService.shouldAcceptCloudServicesPolicy()) {
                this.$logger.info(yield this.$nsCloudServicesPolicyService.getCloudServicesFullMessage());
            }
            try {
                yield this.$nsCloudAuthenticationService.devLogin(args[0], args[1], this.$options.instanceId || "");
            }
            catch (err) {
                this.$nsCloudErrorsService.fail(err.message);
            }
            this.$logger.info("Successfully logged in.");
        });
    }
}
exports.DevLoginCommand = DevLoginCommand;
$injector.registerCommand("dev-login", DevLoginCommand);
