"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const os_1 = require("os");
class LoginCommand {
    constructor($nsCloudEulaCommandHelper, $nsCloudAuthenticationService, $nsCloudServicesPolicyService, $commandsService, $logger, $options) {
        this.$nsCloudEulaCommandHelper = $nsCloudEulaCommandHelper;
        this.$nsCloudAuthenticationService = $nsCloudAuthenticationService;
        this.$nsCloudServicesPolicyService = $nsCloudServicesPolicyService;
        this.$commandsService = $commandsService;
        this.$logger = $logger;
        this.$options = $options;
        this.allowedParameters = [];
    }
    execute(args) {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.$nsCloudEulaCommandHelper.ensureEulaIsAccepted();
            if (yield this.$nsCloudServicesPolicyService.shouldAcceptCloudServicesPolicy()) {
                this.$logger.info(yield this.$nsCloudServicesPolicyService.getCloudServicesFullMessage());
                this.$logger.info(os_1.EOL);
            }
            yield this.$nsCloudAuthenticationService.login({ timeout: this.$options.timeout });
            this.$logger.info("Successfully logged in.");
            yield this.$commandsService.tryExecuteCommand("user", []);
        });
    }
}
exports.LoginCommand = LoginCommand;
$injector.registerCommand("login", LoginCommand);
