"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./../constants");
class PolicyAcceptCommand {
    constructor($nsCloudErrorsService, $nsCloudPolicyService, $nsCloudServicesPolicyService, $stringParameter, $stringParameterBuilder) {
        this.$nsCloudErrorsService = $nsCloudErrorsService;
        this.$nsCloudPolicyService = $nsCloudPolicyService;
        this.$nsCloudServicesPolicyService = $nsCloudServicesPolicyService;
        this.$stringParameter = $stringParameter;
        this.$stringParameterBuilder = $stringParameterBuilder;
        this.allowedParameters = [
            this.$stringParameterBuilder.createMandatoryParameter("Policy name cannot be empty."),
            this.$stringParameter
        ];
    }
    execute(args) {
        return __awaiter(this, void 0, void 0, function* () {
            const policyName = args[0];
            if (policyName === constants_1.Policies.CLOUD_SERVICES_POLICY_NAME) {
                yield this.$nsCloudServicesPolicyService.acceptCloudServicesPolicy();
                return;
            }
            const policyUri = args[1];
            if (!policyUri || policyUri.length === 0) {
                this.$nsCloudErrorsService.fail("Please provide policy path.");
            }
            yield this.$nsCloudPolicyService.accept({ policyName, policyUri });
        });
    }
}
exports.PolicyAcceptCommand = PolicyAcceptCommand;
$injector.registerCommand("policy|accept", PolicyAcceptCommand);
