"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const os_1 = require("os");
class UserCommand {
    constructor($nsCloudEulaCommandHelper, $nsCloudUserService, $logger) {
        this.$nsCloudEulaCommandHelper = $nsCloudEulaCommandHelper;
        this.$nsCloudUserService = $nsCloudUserService;
        this.$logger = $logger;
        this.allowedParameters = [];
    }
    execute(args) {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.$nsCloudEulaCommandHelper.ensureEulaIsAccepted();
            const user = this.$nsCloudUserService.getUser();
            let message;
            if (!user) {
                message = "You are not logged in.";
            }
            else {
                message = `Current user: ${os_1.EOL}E-mail: ${user.email}${os_1.EOL}First name: ${user.firstName}${os_1.EOL}Last name: ${user.lastName}`;
            }
            this.$logger.info(message);
        });
    }
}
exports.UserCommand = UserCommand;
$injector.registerCommand("user", UserCommand);
