"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CLOUD_TEMP_DIR_NAME = ".cloud";
exports.CODESIGN_FILES_DIR_NAME = "codesign_files";
exports.CRYPTO = {
    CERTIFICATE_HEADER: "-----BEGINCERTIFICATE-----",
    CERTIFICATE_FOOTER: "-----ENDCERTIFICATE-----",
    ORGANIZATION_FIELD_NAME: "O",
    COMMON_NAME_FIELD_NAME: "CN",
    PLIST_HEADER: "<plist",
    PLIST_FOOTER: "</plist>"
};
exports.APPLE_INC = "Apple Inc.";
exports.PROVISION_TYPES = {
    ENTERPRISE: "Enterprise",
    APP_STORE: "App Store",
    ADHOC: "AdHoc",
    DEVELOPMENT: "Development",
};
exports.AUTH_SERVICE_NAME = "auth-service";
exports.BUILD_SERVICE_NAME = "build-service";
exports.MISC_SERVICE_NAME = "misc-service";
exports.ACCOUNTS_SERVICE_NAME = "accounts-service";
exports.PROJECT_SERVICE_NAME = "project-service";
exports.DEFAULT_ANDROID_PUBLISH_TRACK = "beta";
exports.UNLIMITED = "unlimited";
exports.NAMESPACE_LOWER_CASE = "namespace";
exports.KINVEY_LOWER_CASE = "kinvey";
exports.CLOUD_BUILD_EVENT_NAMES = {
    STEP_CHANGED: "stepChanged"
};
exports.DEVICE_DISCOVERY_EVENTS = {
    DEVICE_FOUND: "deviceFound",
    DEVICE_LOST: "deviceLost"
};
exports.CLOUD_BUILD_CONFIGURATIONS = {
    DEBUG: "Debug",
    RELEASE: "Release"
};
exports.CLOUD_BUILD_DIRECTORY_NAMES = {
    DEVICE: "device",
    EMULATOR: "emulator"
};
exports.CONTENT_TYPES = {
    APPLICATION_JSON: "application/json",
    TEXT_HTML: "text/html",
    TEXT_JAVASCRIPT: "text/javascript",
    TEXT_CSS: "text/css",
    IMAGE_JPEG: "image/jpeg",
    IMAGE_PNG: "image/png"
};
exports.HTTP_METHODS = {
    GET: "GET",
    POST: "POST",
    PUT: "PUT",
    DELETE: "DELETE"
};
exports.HTTP_HEADERS = {
    ACCEPT: "Accept",
    AUTHORIZATION: "Authorization",
    CONNECTION: "Connection",
    CONTENT_TYPE: "Content-Type",
    LOCATION: "Location",
    X_NS_NAMESPACE: "X-NS-Namespace",
    X_NS_INSTANCE_ID: "X-NS-Instance-Id"
};
exports.HTTP_STATUS_CODES = {
    SUCCESS: 200,
    FOUND: 302,
    UNAUTHORIZED: 401,
    PAYMENT_REQUIRED: 402
};
exports.DISPOSITIONS = {
    PACKAGE_ZIP: "PackageZip",
    PACKAGE_GIT: "PackageGit",
    BUILD_RESULT: "BuildResult",
    PROVISION: "Provision",
    CERTIFICATE: "Certificate",
    KEYCHAIN: "Keychain",
    CRYPTO_STORE: "CryptoStore"
};
exports.BUILD_STEP_NAME = {
    PREPARE: "prepare",
    UPLOAD: "upload",
    BUILD: "build",
    DOWNLOAD: "download"
};
exports.BUILD_STEP_PROGRESS = {
    START: 0,
    END: 100
};
exports.ERROR_MESSAGES = {
    COMMAND_REQUIRES_APPLE_USERNAME_PASS: "The command accepts only two parameters - Apple account id and Apple account password."
};
class EulaConstants {
}
EulaConstants.eulaUrl = "https://github.com/ProgressNS/sidekick-eula/raw/master/EULA.pdf";
EulaConstants.kinveyEulaUrl = "https://github.com/ProgressNS/sidekick-eula/raw/master/kinvey-free-eula.pdf";
EulaConstants.acceptedEulaHashKey = "acceptedEulaHash";
EulaConstants.acceptedKinveyEulaHashKey = "acceptedKinveyEulaHash";
EulaConstants.timeout = 60000;
exports.EulaConstants = EulaConstants;
exports.KINVEY_SERVICE_NAME = "kinvey";
exports.BEARER_AUTH_SCHEME = "Bearer";
class Authentication {
}
Authentication.OAuth2 = "OAuth2";
Authentication.OIDC = "OIDC";
exports.Authentication = Authentication;
class Policies {
}
Policies.PRIVACY_POLICY_NAME = "Progress Software Privacy Policy";
Policies.CLOUD_SERVICES_POLICY_NAME = "cloud-services-policy";
exports.Policies = Policies;
class CloudOperationWebSocketMessageActions {
}
CloudOperationWebSocketMessageActions.SEND_MESSAGE = "sendMessage";
exports.CloudOperationWebSocketMessageActions = CloudOperationWebSocketMessageActions;
class CloudOperationMessageTypes {
}
CloudOperationMessageTypes.CLOUD_OPERATION_OUTPUT = "output";
CloudOperationMessageTypes.CLOUD_OPERATION_INPUT_REQUEST = "inputRequest";
CloudOperationMessageTypes.CLOUD_OPERATION_INPUT = "input";
CloudOperationMessageTypes.CLOUD_OPERATION_CLIENT_HELLO = "clientHello";
CloudOperationMessageTypes.CLOUD_OPERATION_SERVER_HELLO = "serverHello";
CloudOperationMessageTypes.CLOUD_OPERATION_HANDSHAKE_ERROR = "handshakeError";
CloudOperationMessageTypes.CLOUD_OPERATION_STOP = "stop";
CloudOperationMessageTypes.CLOUD_OPERATION_RESULT = "result";
CloudOperationMessageTypes.CLOUD_OPERATION_ECHO = "echo";
CloudOperationMessageTypes.CLOUD_OPERATION_ECHO_REPLY = "echoReply";
exports.CloudOperationMessageTypes = CloudOperationMessageTypes;
class CloudCommunicationChannelTypes {
}
CloudCommunicationChannelTypes.WEBSOCKET = "WebSocket";
exports.CloudCommunicationChannelTypes = CloudCommunicationChannelTypes;
class CloudCommunicationEvents {
}
CloudCommunicationEvents.MESSAGE = "message";
CloudCommunicationEvents.CLOSE = "close";
CloudCommunicationEvents.ERROR = "error";
exports.CloudCommunicationEvents = CloudCommunicationEvents;
class CloudCommunicationChannelExitCodes {
}
CloudCommunicationChannelExitCodes.UNEXPECTED_RESPONSE = 128;
CloudCommunicationChannelExitCodes.MISSING_ECHO_REPLIES = 129;
exports.CloudCommunicationChannelExitCodes = CloudCommunicationChannelExitCodes;
