"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const url_1 = require("url");
const constants_1 = require("./constants");
const randomstring = require("randomstring");
const Table = require("cli-table");
function isInteractive() {
    return process.stdout.isTTY && process.stdin.isTTY;
}
exports.isInteractive = isInteractive;
function fromWindowsRelativePathToUnix(windowsRelativePath) {
    return windowsRelativePath.replace(/\\/g, "/");
}
exports.fromWindowsRelativePathToUnix = fromWindowsRelativePathToUnix;
function createTable(headers, data) {
    const table = new Table({
        head: headers,
        chars: { "mid": "", "left-mid": "", "mid-mid": "", "right-mid": "" }
    });
    _.forEach(data, row => table.push(row));
    return table;
}
exports.createTable = createTable;
function stringifyWithIndentation(data, indentation) {
    return JSON.stringify(data, null, indentation || "  ");
}
exports.stringifyWithIndentation = stringifyWithIndentation;
function isKinveyNamespace(namespace) {
    return namespace && namespace.toLowerCase() === constants_1.KINVEY_LOWER_CASE;
}
exports.isKinveyNamespace = isKinveyNamespace;
function isUrl(data) {
    try {
        const u = url_1.parse(data);
        return !!(u && u.host);
    }
    catch (err) {
        return false;
    }
}
exports.isUrl = isUrl;
function getRandomString(options) {
    return randomstring.generate(options);
}
exports.getRandomString = getRandomString;
function getProjectId(projectData, platform) {
    if (projectData.projectIdentifiers) {
        return projectData.projectIdentifiers[platform];
    }
    return projectData.projectId;
}
exports.getProjectId = getProjectId;
