"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
class CloudConfigurationService {
    constructor($settingsService, $logger, $fs) {
        this.$settingsService = $settingsService;
        this.$logger = $logger;
        this.$fs = $fs;
    }
    getCloudConfigurationData() {
        const cloudConfigFilePath = path_1.join(this.$settingsService.getProfileDir(), "cloud-configuration.json");
        let result = null;
        if (this.$fs.exists(cloudConfigFilePath)) {
            try {
                result = this.$fs.readJson(cloudConfigFilePath);
            }
            catch (ex) {
                this.$logger.trace(`Failed to parse ${cloudConfigFilePath}. Exceptions is: `, ex);
            }
        }
        return result;
    }
}
exports.CloudConfigurationService = CloudConfigurationService;
$injector.register("nsCloudConfigurationService", CloudConfigurationService);
