"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const semver = require("semver");
class ErrorsService {
    constructor($errors, $staticConfig) {
        this.$errors = $errors;
        this.$staticConfig = $staticConfig;
        const cliVersion = this.$staticConfig.version;
        this.use61API = semver.valid(cliVersion) && semver.gte(semver.coerce(cliVersion), "6.1.0");
    }
    fail(opts, ...args) {
        if (this.use61API) {
            this.$errors.fail(opts, ...args);
        }
        else {
            this.$errors.failWithoutHelp(opts, ...args);
        }
    }
    failWithoutHelp(opts, ...args) {
        if (this.use61API) {
            this.$errors.fail(opts, ...args);
        }
        else {
            this.$errors.failWithoutHelp(opts, ...args);
        }
    }
    failWithHelp(opts, ...args) {
        if (this.use61API) {
            this.$errors.failWithHelp(opts, ...args);
        }
        else {
            this.$errors.fail(opts, ...args);
        }
    }
}
exports.ErrorsService = ErrorsService;
$injector.register("nsCloudErrorsService", ErrorsService);
