"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const crypto = require("crypto");
class HashService {
    constructor($fs) {
        this.$fs = $fs;
    }
    getLocalFileHash(pathToFile) {
        return __awaiter(this, void 0, void 0, function* () {
            if (pathToFile) {
                return this.$fs.getFileShasum(pathToFile, { algorithm: "sha256", encoding: "hex" });
            }
            return null;
        });
    }
    getHash(str, options) {
        return crypto.createHash(options && options.algorithm || 'sha256').update(str).digest(options && options.encoding || 'hex');
    }
}
exports.HashService = HashService;
$injector.register("nsCloudHashService", HashService);
