"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const osenv_1 = require("osenv");
const user_service_base_1 = require("./user-service-base");
class KinveyUserService extends user_service_base_1.UserServiceBase {
    constructor($hostInfo, $injector, $logger, $fs, $nsCloudErrorsService) {
        super($injector, $logger, $fs, $nsCloudErrorsService);
        this.$hostInfo = $hostInfo;
        this.userFilePath = this.getUserFilePath();
    }
    getUserData() {
        const userData = super.getUserData();
        return {
            accessToken: userData.token,
            refreshToken: "",
            instanceId: userData.instanceId,
            userInfo: {
                email: userData.email,
                firstName: userData.firstName,
                lastName: userData.lastName
            }
        };
    }
    setUserData(userData) {
        const kinveyUserData = {
            email: userData.userInfo.email,
            firstName: userData.userInfo.firstName,
            lastName: userData.userInfo.lastName,
            token: userData.accessToken,
            instanceId: userData.instanceId
        };
        super.setUserData(kinveyUserData);
    }
    getUserFilePath() {
        return path_1.join(this.$hostInfo.isWindows ? path_1.join(process.env.AppData) :
            this.$hostInfo.isDarwin ? path_1.join(osenv_1.home(), "Library", "Application Support") : path_1.join(osenv_1.home(), ".config"), "KinveyStudio", "kinveyUser.json");
    }
}
exports.KinveyUserService = KinveyUserService;
$injector.register("nsCloudKinveyUserService", KinveyUserService);
