"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class NsCouldLockService {
    constructor($injector) {
        this.$injector = $injector;
        try {
            this.cliLockService = this.$injector.resolve("lockService");
        }
        catch (e) {
            this.cliLockFile = this.$injector.resolve("lockfile");
        }
    }
    executeActionWithLock(action, lockFilePath, lockOpts) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.cliLockService) {
                const result = yield this.cliLockService.executeActionWithLock(action, lockFilePath, lockOpts);
                return result;
            }
            yield this.cliLockFile.lock(lockFilePath, lockOpts);
            try {
                const result = yield action();
                return result;
            }
            finally {
                this.cliLockFile.unlock(lockFilePath);
            }
        });
    }
    lock(lockFilePath, lockOpts) {
        return this.cliLockService.lock(lockFilePath, lockOpts);
    }
    unlock(lockFilePath) {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.cliLockService.unlock(lockFilePath);
        });
    }
}
exports.NsCouldLockService = NsCouldLockService;
$injector.register("nsCloudLockService", NsCouldLockService);
