"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class PolyfillService {
    constructor($logger, $injector) {
        this.$logger = $logger;
        this.$injector = $injector;
    }
    getPolyfillObject(dependencyName, polyfill) {
        try {
            return this.$injector.resolve(dependencyName);
        }
        catch (e) {
            this.$logger.trace(`Unable to resolve ${dependencyName}, probably using and older version of CLI. Will default.`, e);
            return polyfill;
        }
    }
}
exports.PolyfillService = PolyfillService;
$injector.register("nsCloudPolyfillService", PolyfillService);
