"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("../../../constants");
const server_service_base_1 = require("../server-service-base");
class KinveyRequestService extends server_service_base_1.ServerServiceBase {
    get serviceName() {
        return constants_1.KINVEY_SERVICE_NAME;
    }
    constructor($injector, $nsCloudMBaasRequestService) {
        super($nsCloudMBaasRequestService, $injector);
    }
    createApp(input) {
        return this.sendRequest(constants_1.HTTP_METHODS.POST, "apps", input);
    }
    getApps() {
        return this.sendRequest(constants_1.HTTP_METHODS.GET, "apps", null);
    }
    getApp(id) {
        return this.sendRequest(constants_1.HTTP_METHODS.GET, `apps/${id}`, null);
    }
    createIdentityStore(input) {
        return this.sendRequest(constants_1.HTTP_METHODS.POST, "identity-stores", input);
    }
    getIdentityStores() {
        return this.sendRequest(constants_1.HTTP_METHODS.GET, "identity-stores", null);
    }
    getIdentityStore(id) {
        return this.sendRequest(constants_1.HTTP_METHODS.GET, `identity-stores/${id}`, null);
    }
    getIdentityStoreAuthServices(id) {
        return this.sendRequest(constants_1.HTTP_METHODS.GET, `identity-stores/${id}/auth-services`, null);
    }
    createAuthService(input) {
        return this.sendRequest(constants_1.HTTP_METHODS.POST, "auth-services", input);
    }
    getAuthServices() {
        return this.sendRequest(constants_1.HTTP_METHODS.GET, `auth-services`, null);
    }
    getAuthService(id) {
        return this.sendRequest(constants_1.HTTP_METHODS.GET, `auth-services/${id}`, null);
    }
    updateAuthService(id, input) {
        return this.sendRequest(constants_1.HTTP_METHODS.PUT, `auth-services/${id}`, input);
    }
    getEnvironment(id) {
        return this.sendRequest(constants_1.HTTP_METHODS.GET, `environments/${id}`, null);
    }
    updateEnvironment(input) {
        return this.sendRequest(constants_1.HTTP_METHODS.PUT, `environments/${input.id}`, input);
    }
    ensureEulaIsAccepted() {
        return __awaiter(this, void 0, void 0, function* () {
        });
    }
}
exports.KinveyRequestService = KinveyRequestService;
$injector.register("nsCloudKinveyRequestService", KinveyRequestService);
