"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const server_services_proxy_1 = require("../server-services-proxy");
class MBaasProxy extends server_services_proxy_1.ServerServicesProxy {
    constructor($nsCloudErrorsService, $httpClient, $logger, $nsCloudConfigManager, $nsCloudUserService) {
        super($nsCloudErrorsService, $httpClient, $logger, $nsCloudConfigManager, $nsCloudUserService);
    }
    getUrlPath(serviceName, urlPath) {
        const apiVersion = this.serverConfig.mBaaS[serviceName].apiVersion;
        let result = `${apiVersion}/${urlPath}`;
        return result.startsWith("/") ? result : `/${result}`;
    }
    getAuthScheme(serviceName) {
        return this.serverConfig.mBaaS[serviceName].authScheme || super.getAuthScheme(serviceName);
    }
    getServiceDomainName(serviceName) {
        const serviceConfig = this.serverConfig.mBaaS[serviceName];
        return serviceConfig.fullHostName;
    }
}
exports.MBaasProxy = MBaasProxy;
$injector.register("nsCloudMBaasProxy", MBaasProxy);
