"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("../../constants");
const server_service_base_1 = require("./server-service-base");
class ServerAccountsService extends server_service_base_1.ServerServiceBase {
    constructor($nsCloudServerRequestService, $injector) {
        super($nsCloudServerRequestService, $injector);
        this.$nsCloudServerRequestService = $nsCloudServerRequestService;
        this.serviceName = constants_1.ACCOUNTS_SERVICE_NAME;
    }
    getAccounts() {
        global.showErrorForStoppedCloudBuilds();
        return this.sendRequest(constants_1.HTTP_METHODS.GET, "api/accounts", null);
    }
    getUsageInfo(accountId) {
        global.showErrorForStoppedCloudBuilds();
        return this.sendRequest(constants_1.HTTP_METHODS.GET, `api/usage?accountId=${accountId}`, null);
    }
    getAccountFeatures(accountId) {
        global.showErrorForStoppedCloudBuilds();
        return this.sendRequest(constants_1.HTTP_METHODS.GET, `api/features?accountId=${accountId}`, null);
    }
    getUserInfo() {
        return this.sendRequest(constants_1.HTTP_METHODS.GET, "api/user-info", null);
    }
    syncPolicies(data) {
        return this.sendRequest(constants_1.HTTP_METHODS.POST, "api/consent", data);
    }
}
exports.ServerAccountsService = ServerAccountsService;
$injector.register("nsCloudServerAccountsService", ServerAccountsService);
