"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const querystring = require("querystring");
const constants_1 = require("../../constants");
const server_service_base_1 = require("./server-service-base");
class ServerBuildService extends server_service_base_1.ServerServiceBase {
    constructor($nsCloudServerRequestService, $injector) {
        super($nsCloudServerRequestService, $injector);
        this.$nsCloudServerRequestService = $nsCloudServerRequestService;
        this.serviceName = constants_1.BUILD_SERVICE_NAME;
    }
    startBuild(buildRequest) {
        global.showErrorForStoppedCloudBuilds();
        return this.sendRequest(constants_1.HTTP_METHODS.POST, "api/build", buildRequest);
    }
    getPresignedUploadUrlObject(fileName) {
        global.showErrorForStoppedCloudBuilds();
        return this.sendRequest(constants_1.HTTP_METHODS.GET, `api/upload-url?${querystring.stringify({ fileName })}`, null);
    }
    getBuildCredentials(buildCredentialRequest) {
        global.showErrorForStoppedCloudBuilds();
        return this.sendRequest(constants_1.HTTP_METHODS.POST, "api/build-credentials", buildCredentialRequest);
    }
    generateCodesignFiles(codesignRequestData) {
        global.showErrorForStoppedCloudBuilds();
        return this.sendRequest(constants_1.HTTP_METHODS.POST, "api/codesign", codesignRequestData);
    }
    publish(publishRequestData) {
        global.showErrorForStoppedCloudBuilds();
        return this.sendRequest(constants_1.HTTP_METHODS.POST, "api/publish", publishRequestData);
    }
    appleLogin(appleLoginRequestData) {
        global.showErrorForStoppedCloudBuilds();
        return this.sendRequest(constants_1.HTTP_METHODS.POST, "api/apple-login", appleLoginRequestData);
    }
}
exports.ServerBuildService = ServerBuildService;
$injector.register("nsCloudServerBuildService", ServerBuildService);
