"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const osenv_1 = require("osenv");
const user_service_base_1 = require("./user-service-base");
class TelerikUserService extends user_service_base_1.UserServiceBase {
    constructor($hostInfo, $injector, $logger, $fs, $nsCloudErrorsService) {
        super($injector, $logger, $fs, $nsCloudErrorsService);
        this.$hostInfo = $hostInfo;
        this.userFilePath = this.getUserFilePath();
    }
    getUserFilePath() {
        return path_1.join(this.$hostInfo.isWindows ? process.env.LocalAppData : path_1.join(osenv_1.home(), ".local", "share"), "Telerik", "NativeScript", ".nativescript-user");
    }
}
exports.TelerikUserService = TelerikUserService;
$injector.register("nsCloudTelerikUserService", TelerikUserService);
