"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const temp = require("temp");
class CloudTempService {
    constructor($logger, $injector) {
        this.$logger = $logger;
        this.$injector = $injector;
        try {
            const tempService = this.$injector.resolve("tempService");
            this.tempService = tempService;
        }
        catch (err) {
            this.$logger.trace("Unable to resolve tempService in nativescript-cloud. Will use basic temp module");
            temp.track();
        }
    }
    mkdirSync(affixes) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.tempService) {
                return this.tempService.mkdirSync(affixes);
            }
            return temp.mkdirSync(affixes);
        });
    }
    path(options) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.tempService) {
                return this.tempService.path(options);
            }
            return temp.path(options);
        });
    }
}
exports.CloudTempService = CloudTempService;
$injector.register("nsCloudTempService", CloudTempService);
