"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class UserService {
    constructor($injector, $nsCloudConfigManager) {
        this.$injector = $injector;
        this.$nsCloudConfigManager = $nsCloudConfigManager;
        this.userService = this.determineUserService();
    }
    hasUser() {
        return this.userService.hasUser();
    }
    getUser() {
        return this.userService.getUser();
    }
    getUserData() {
        return this.userService.getUserData();
    }
    setToken(token) {
        return this.userService.setToken(token);
    }
    setUserData(userData) {
        return this.userService.setUserData(userData);
    }
    clearUserData() {
        this.userService.clearUserData();
    }
    getUserAvatar() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.userService.getUserAvatar();
        });
    }
    determineUserService() {
        const serverConfig = this.$nsCloudConfigManager.getCurrentConfigData();
        const namespace = serverConfig["namespace"];
        if (namespace && namespace.toLowerCase() === "kinvey") {
            return this.$injector.resolve("nsCloudKinveyUserService");
        }
        return this.$injector.resolve("nsCloudTelerikUserService");
    }
}
exports.UserService = UserService;
$injector.register("nsCloudUserService", UserService);
